> For the complete documentation index, see [llms.txt](https://docs.kognitos.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.kognitos.com/legacy/legacy-experience/books/reference/mssql.md).

# MSSQL

Procedures and concepts for the MSSQL integration.

{% hint style="info" %}
The following documentation is for **MSSQL v3.4.0** *(BDK)*.
{% endhint %}

## Overview

The MSSQL integration provides comprehensive database connectivity for SQL Server-based data operations. This integration supports data querying, record creation, updates, deletions, and complex database transactions. Enable seamless data management and integration with Microsoft SQL Server databases.

## Prerequisites

### 1. Required Books

The following Book(s) need to be added to your agent so it can learn and understand the automation procedures defined within them:

* **MSSQL**

#### How to Add the Book(s)

1. Go to **Books** → **All Books**.
2. Search for the name of the book and click on it.
3. Click on <kbd>**Install**</kbd> or <kbd>**Add Connection**</kbd> to add the book to your agent.
4. If adding a connection, you'll be prompted for [**connectivity**](#connectivity) details.

## Connectivity

This section outlines the available methods for connecting to the Book, along with the required configuration details for each.

### Connect using Host, Port, Username, Password and Database Name

Connect to a Microsoft SQL Server database using the provided connection parameters.

| Label         | Description   | Type        |
| ------------- | ------------- | ----------- |
| Host          | Host          | `text`      |
| Port          | Port          | `text`      |
| Username      | Username      | `text`      |
| Password      | Password      | `sensitive` |
| Database Name | Database Name | `text`      |

### Connect using Host, Port, Database Name, Client ID, Client Secret and Tenant ID

Connect to an Azure SQL database using Microsoft Entra ID (Azure AD) authentication.

| Label         | Description                        | Type        |
| ------------- | ---------------------------------- | ----------- |
| Host          | Host                               | `text`      |
| Port          | Port                               | `text`      |
| Database Name | Database Name                      | `text`      |
| Client ID     | Azure AD Application Client ID     | `text`      |
| Client Secret | Azure AD Application Client Secret | `sensitive` |
| Tenant ID     | Azure AD Tenant ID                 | `text`      |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.kognitos.com/legacy/legacy-experience/books/reference/mssql.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
